Bug 143174 - Dictionaries extension integration button/link does not open dialogue
Summary: Dictionaries extension integration button/link does not open dialogue
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.0.0.beta1+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: regression
Depends on:
Blocks: Extension-Tight-Integration
  Show dependency treegraph
 
Reported: 2021-07-03 11:14 UTC by stragu
Modified: 2021-07-08 06:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stragu 2021-07-03 11:14:26 UTC
Description:
"Spellcheck > Options > Get more dictionaries online..." (in Impress or Writer or Calc) doesn't open the extensions dialogue at all in 7.2 beta1 and 7.3 alpha0.

This is a regression as it works as expected in 7.1.4.2

Steps to Reproduce:
1. Open Writer or Calc or Impress
2. Got to "Tools > Spelling... > Options > Get more dictionaries online..."

Actual Results:
The Extensions dialogue does not open.

Expected Results:
The Extensions dialogue opens.


Reproducible: Always


User Profile Reset: No



Additional Info:
Problem found in:

Tested with:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: f446a203fa2897bab8ae7686c948a8bf060675c6
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-06-24_15:16:38
Calc: threaded

Version: 7.2.0.0.beta1 / LibreOffice Community
Build ID: c6974f7afec4cd5195617ae48c6ef9aacfe85ddd
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded
Comment 1 Julien Nabet 2021-07-04 08:49:53 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

(On LO 7.0.4 Debian package, I don't reproduce this)
Comment 2 Julien Nabet 2021-07-04 08:56:38 UTC
Heiko: thought you might be interested in this one.
Comment 3 Heiko Tietze 2021-07-05 06:34:02 UTC
...and the menu item is disabled and the command is missing in the customization dialog. Fixed it with https://gerrit.libreoffice.org/c/core/+/118395, unclear why it was working before.
Comment 4 Commit Notification 2021-07-05 07:46:43 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/21b5364ab01f0ceb9197572ff8f50d8a8cea64e1

Resolves tdf#143174 - UNO MoreDictionaries not working

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2021-07-06 20:31:56 UTC
Thank you Heiko for the fix!
I confirm it works now with your patch.
Comment 6 Commit Notification 2021-07-08 06:35:47 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/4d95672531225a436f4b7b0ba94ba9974e7949b4

Resolves tdf#143174 - UNO MoreDictionaries not working

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.